Price List
API to get pricelist of IAK prepaid products.
Path
| Method | Path |
|---|---|
| POST | api/pricelist/:type/:operator |
Path Parameters
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| type | String | Product type. See here for product type list | No |
| operator | String | Product operator. See here for product operator list | No |
Request Body
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| username | String | Your registered phone number | Yes |
| sign | String | Signature. Value: md5(username+api_key+'pl') | Yes |
| status | String | Product status. Value: all, active, non active | No |
| currency | String | Currency IDR or USD default: IDR | No |
{
"username" : "123123123",
"sign" : "6bc194c0d23c18a12f5d6919aa72bc30",
"status" : "all",
"currency" : "IDR"
}
Response
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| pricelist | Array | Price List | Yes |
| pricelist.product_code | String | Product code | Yes |
| pricelist.product_description | String | Product operator name | Yes |
| pricelist.product_details | String | Product description | Yes |
| pricelist.product_nominal | String | Product denomination | Yes |
| pricelist.product_price | Double | Product price | Yes |
| pricelist.product_type | String | Product type | Yes |
| pricelist.active_period | String | Product aActive time period of reload (only applied for pulsa and data) | Yes |
| pricelist.status | String | Product status. Value: active, non active | Yes |
| pricelist.icon_url | String | URL icon for each product | Yes |
| pricelist.product_category | String | Product category | Yes |
| pricelist.currency | String | Currency | Yes |
| message | String | Message | Yes |
| rc | String | Response code. See response code list | Yes |
{
"data": {
"pricelist": [
{
"product_code": "alfamart100",
"product_description": "Alfamart Voucher",
"product_nominal": "Voucher Alfamart Rp 100.000",
"product_details": "-",
"product_price": 100000,
"product_type": "voucher",
"active_period": "0",
"status": "active",
"icon_url": "https://cdn.mobileproduct.net/img/product/operator_list/140119034649-Alfa-01.png",
"product_category": "voucher",
"currency": "IDR"
},
{
"product_code": "altel10",
"product_description": "Malaysia Topup",
"product_nominal": "10",
"product_details": "-",
"product_price": 39750,
"product_type": "malaysia",
"active_period": "0",
"status": "active",
"icon_url": "-",
"product_category": "international",
"currency": "IDR"
},
{
"product_code": "altel100",
"product_description": "Malaysia Topup",
"product_nominal": "100",
"product_details": "-",
"product_price": 397500,
"product_type": "malaysia",
"active_period": "0",
"status": "active",
"icon_url": "-",
"product_category": "international",
"currency": "IDR"
}`
],
"rc": "00",
"message": "SUCCESS"
}
}
Live Testing
Request URL
https://prepaid.iak.dev/api/pricelist
Request Method
Request Header
Content-Type: application/json
Body
Result
Table of Contents